#!/usr/bin/env python2.5
# -*- coding: utf-8 -*-
__author__ = "Frank Gau (fgau@pyneo.org), Thomas Gstaedtner (thomas (a) gstaedtner (.) net), Johannes 'josch' Schauer <j.schauer@email.de>"
__version__ = "prototype"
__copyright__ = "Copyright (c) 2010"
__license__ = "GPL3"

from sqlite3 import connect
from constants import DB_FILE_PATH

class DatabaseInit(object):
	@classmethod
	def init(class_):
		connection = connect(DB_FILE_PATH)
		cursor = connection.cursor()

		cursor.execute("CREATE TABLE calls (status, number, time)")
		cursor.execute("CREATE TABLE contacts (name, number)")
		cursor.execute("CREATE TABLE sms (status, number, text, time)")
		cursor.execute("CREATE TABLE music (artist, album, title)")
		cursor.execute("CREATE TABLE mcc (country, cc, mcc)")

		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Afghanistan', '93', '412')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Albania', '355', '276')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Algeria', '213', '603')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('American Samoa (US)', '684 ', '544')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Andorra', '376', '213')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Angola', '244', '631')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Anguilla', '264 ', '365')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Antigua and Barbuda', '268 ', '344')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Argentina', '54', '722')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Armenia', '374', '283')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Aruba (Netherlands)', '297', '363')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Australia', '61', '505')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Austria', '43', '232')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Azerbaijan', '994', '400')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Bahamas', '242 ', '364')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Bahrain', '973', '426')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Bangladesh', '880', '470')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Barbados', '246 ', '342')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Belarus', '375', '257')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Belgium', '32', '206')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Belize', '501', '702')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Benin', '229', '616')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Bermuda (UK)', '441 ', '350')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Bhutan', '975', '402')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Bolivia', '591', '736')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Bosnia and Herzegovina', '387', '218')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Botswana', '267', '652')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Brazil', '55', '724')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('British Virgin Islands (UK)', '284 ', '348')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Brunei Darussalam', '673', '528')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Bulgaria', '359', '284')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Burkina Faso', '226', '613')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Burundi', '257', '642')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Cambodia', '855', '456')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Cameroon', '237', '624')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Canada', '1', '302')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Cape Verde Islands', '238', '625')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Cayman Islands (UK)', '345 ', '346')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Central African Republic', '236', '623')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Chad', '235', '622')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Chile', '56', '730')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('China (PRC)', '86', '460')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Colombia', '57', '732')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Comoros', '269', '654')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Costa Rica', '506', '712')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Croatia', '385', '219')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Cuba', '53', '368')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Cyprus', '357', '280')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Czech Republic', '420', '230')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Democratic Republic of the Congo', '242', '630')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Denmark', '45', '238')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Djibouti', '253', '638')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Dominica', '767 ', '366')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Dominican Republic', '829 ', '370')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('East Timor', '670', '514')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Ecuador', '593', '740')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Egypt', '20', '602')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('El Salvador', '503', '706')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Equatorial Guinea', '240', '627')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Eritrea', '291', '657')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Estonia', '372', '248')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Ethiopia', '251', '636')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Faroe Islands (Denmark)', '298', '288')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Fiji Islands', '679', '542')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Finland', '358', '244')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('France', '33', '208')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('French Guiana', '594', '742')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('French Polynesia', '689', '547')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Gabonese Republic', '241', '628')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Gambia', '220', '607')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Georgia', '995', '282')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Germany', '49', '262')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Ghana', '233', '620')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Gibraltar (UK)', '350', '266')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Greece', '30', '202')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Greenland (Denmark)', '299', '290')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Grenada', '473 ', '352')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Guadeloupe (France)', '590', '340')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Guam (US)', '671 ', '535')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Guatemala', '502', '704')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Guinea', '224', '611')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Guinea-Bissau', '245', '632')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Guyana', '592', '738')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Haiti', '509', '372')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Honduras', '504', '708')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Hong Kong (PRC)', '852', '454')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Hungary', '36', '216')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Iceland', '354', '274')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('India', '91', '404')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('India', '91', '405')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Indonesia', '62', '510')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Iran', '98', '432')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Iraq', '964', '418')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Ireland', '353', '272')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Israel', '972', '425')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Italy', '39', '222')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Jamaica', '876', '338')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Japan', '81', '441')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Japan', '81', '440')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Jordan', '962', '416')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Kazakhstan', '7', '401')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Kenya', '254', '639')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Kiribati', '686', '545')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Korea, North', '850', '467')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Korea, South', '82', '450')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Kuwait', '965', '419')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Kyrgyz Republic', '996', '437')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Laos', '856', '457')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Latvia', '371', '247')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Lebanon', '961', '415')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Lesotho', '266', '651')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Liberia', '231', '618')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Libya', '218', '606')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Liechtenstein', '423', '295')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Lithuania', '370', '246')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Luxembourg', '352', '270')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Macau (PRC)', '853', '455')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Madagascar', '261', '646')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Malawi', '265', '650')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Malaysia', '60', '502')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Maldives', '960', '472')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Mali Republic', '223', '610')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Malta', '356', '278')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Marshall Islands', '692', '551')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Martinique (France)', '596', '340')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Mauritania', '222', '609')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Mauritius', '230', '617')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Mexico', '52', '334')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Moldova', '373', '259')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Monaco', '377', '212')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Mongolia', '976', '428')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Montenegro', '382', '297')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Montserrat (UK)', '664 ', '354')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Morocco', '212', '604')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Mozambique', '258', '643')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Myanmar', '95', '414')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Namibia', '264', '649')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Nauru', '674', '536')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Nepal', '977', '429')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Netherlands', '31', '204')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Netherlands Antilles (Netherlands)', '599', '362')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('New Caledonia (France)', '687', '546')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('New Zealand', '64', '530')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Nicaragua', '505', '710')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Niger', '227', '614')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Nigeria', '234', '621')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Northern Mariana Islands (US)', '670 ', '534')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Norway', '47', '242')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Oman', '968', '422')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Pakistan', '92', '410')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Palau', '680', '552')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Panama', '507', '714')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Papua New Guinea', '675', '537')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Paraguay', '595', '744')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Peru', '51', '716')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Philippines', '63', '515')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Poland', '48', '260')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Portugal', '351', '268')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Puerto Rico', '939 ', '330')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Qatar', '974', '427')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Romania', '40', '226')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Russia', '7', '250')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Rwandese Republic', '250', '635')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('R�union Island', '262', '647')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Saint Kitts and Nevis', '869', '356')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Saint Lucia', '758' , '358')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Saint Pierre and Miquelon (France)', '508', '308')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Saint Vincent and the Grenadines', '784', '360')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Samoa', '685', '549')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('San Marino', '378', '292')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Saudi Arabia', '966', '420')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Senegal', '221', '608')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Serbia', '381', '220')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Seychelles', '248', '633')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Sierra Leone', '232', '619')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Singapore', '65', '525')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Slovak Republic', '421', '231')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Slovenia', '386', '293')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Solomon Islands', '677', '540')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('South Africa', '27', '655')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Spain', '34', '214')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Sri Lanka', '94', '413')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Sudan', '249', '634')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Suriname', '597', '746')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Swaziland', '268', '653')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Sweden', '46', '240')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Switzerland', '41', '228')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Syria', '963', '417')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('S�o Tom� and Principe', '239', '626')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Taiwan', '886', '466')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Tajikistan', '992', '436')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Tanzania', '255', '640')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Thailand', '66', '520')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Togolese Republic', '228', '615')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Tonga Islands', '676', '539')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Trinidad and Tobago', '868', '374')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Tunisia', '216', '605')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Turkey', '90', '286')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Turkmenistan', '993', '438')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Turks and Caicos Islands (UK)', '649', '376')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Uganda', '256', '641')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Ukraine', '380', '255')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('United Arab Emirates', '971', '424')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('United Kingdom', '44', '235')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('United Kingdom', '44', '234')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('United States of America', '1', '310')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('United States of America', '1', '311')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('United States of America', '1', '312')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('United States of America', '1', '313')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('United States of America', '1', '314')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('United States of America', '1', '315')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('United States of America', '1', '316')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Uruguay', '598', '748')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Uzbekistan', '998', '434')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Vanuatu', '678', '541')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Vatican City State', '379', '225')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Venezuela', '58', '734')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Vietnam', '84', '452')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Wallis and Futuna (France)', '681', '543')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Yemen', '967', '421')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Zambia', '260', '645')")
		cursor.execute("INSERT INTO mcc (country, cc, mcc) VALUES ('Zimbabwe', '263', '648')")
		connection.commit()
